Package twisted :: Package im :: Module basechat :: Class ContactsList

[frames | no frames]

## Class ContactsList

A GUI object that displays a contacts list

Method Summary
| ``__init__`(self, chatui)`
| `contactChangedNick(self, person, newnick)`
| ``registerAccountClient`(self, client)` Notify the user that an account client has been signed on to.
| ``setContactStatus`(self, person)` Inform the user that a person's status has changed.
| ``unregisterAccountClient`(self, client)` Notify the user that an account client has been signed off or disconnected from.

Method Details

### __init__(self, chatui)
(Constructor)

  Parameters:
    `chatui` - ???
    (type=`ChatUI`)

### registerAccountClient(self, client)

Notify the user that an account client has been signed on to.

  Parameters:
    `client`
    (type=`Client`)

### setContactStatus(self, person)

Inform the user that a person's status has changed.

  Parameters:
    `person`
    (type=`Person`)

### unregisterAccountClient(self, client)

Notify the user that an account client has been signed off or disconnected from.

  Parameters:
    `client`
    (type=`Client`)

Generated by Epydoc 2.0 on Sat May 15 20:08:20 2004 | http://epydoc.sf.net